{% extends '_base.html' %}
{% load static %}


{% block title %}- {{project.name}}-{{collection.name}} {% endblock title %}

{% block breadcrumb %}
<nav aria-label="breadcrumb">
  <ol class="breadcrumb">
    <li class="breadcrumb-item"><a href="{% url 'dashboard' %}">Dashboard</a></li>
    <li class="breadcrumb-item"><a href="{% url 'project_details' project_id=project.uuid%}">Project</a></li>
    <li class="breadcrumb-item active" aria-current="page">Collection</li>
  </ol>
</nav>
{% endblock breadcrumb %}

{% block content %}

<div class="accordion" id="accordionExample">
    <div class="accordion-item">
      <h2 class="accordion-header">
        <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
          Collection Details
        </button>
      </h2>
      <div id="collapseOne" class="accordion-collapse collapse show" data-bs-parent="#accordionExample">
        <div class="accordion-body">
          <strong> {{collection.name}}</strong>
          <p> {{collection.description}} </p>
        </div>
      </div>
    </div>
  </div>


  <div class="row">
    <div class="col-3">
        <div class="card text-center">
            <div class="card-body">
                <h5 class="card-title">Media metadata archive  </h5>
                <a href="{% url 'map_media_to_collection' project_id=project.uuid collection_id=collection.uuid %}" class="btn btn-primary">Map metadata</a>
            </div>
        </div>
    </div>
    {% for media in media_in_collection %}

    <div class="col-3">
      <div class="card text-center">
          <div class="card-body">
              <h5 class="card-title">{{media.name}}</h5>
              <p> {{media.description}} </p>

              <a href="{% url 'view_media' project_id=project.uuid collection_id=collection.uuid media_mapper_id=media.uuid%}" class="btn btn-primary btn-small"> Listen </a>
          </div>
          <div class="card-footer">
            Created By {{media.created_by}}, {{media.created_at|timesince}} ago
          </div>
      </div>
    </div>
    {% endfor %}
  </div>

{% endblock content %}


